- Discontinued distros: Aurora (merged into Fedora)
- Added 11 distros (total 280): Android, Aurora OS, BlankOn, Buhawi, Deepin, Estrella Roja, Hedinux, Qomo, Quantian, UltraPenguin, Zeroshell
- Fixed: Maemo (duplicate)
- Contributors: Alexander Sambler, Antonio Engels, chenjie, Rahman Yusri Aftian and Vassily Minaev
- Works best with gnuclad 0.2.2




I am trying to build from the source, but I got these errors:
$ ./build.sh
gnuclad 0.2.2: gldt.csv => gldt.svg
Computing cladogram for 280 nodes, 58 connectors and 3 domains…
Error: failed to open SVG image NOT-INCLUDED/Red_Hat_small.svg
Aborted
mv: cannot stat `gldt.svg’: No such file or directory
** (inkscape:12112): CRITICAL **: Inkscape::XML::Document* sp_repr_read_file(const gchar*, const gchar*): assertion `Inkscape::IO::file_test( filename, G_FILE_TEST_EXISTS )’ failed
** (inkscape:12112): CRITICAL **: Inkscape::XML::Document* sp_repr_read_file(const gchar*, const gchar*): assertion `Inkscape::IO::file_test( filename, G_FILE_TEST_EXISTS )’ failed
** (inkscape:12112): WARNING **: Specified document gldt.svg cannot be opened (does not exist or not a valid SVG file)
Packaging…
mv: cannot stat `gldt.svg’: No such file or directory
mv: cannot stat `gldt.png’: No such file or directory
I only have four images in the source tarball. Are there image missing included?
I just realized what “NO-INCLUDED” meant.
I removed it from CSV, the image is generated.
I guess it’s about the permission of inclusion of Red Hat logo, so the file is not included.
@Yu-Jie Lin:
That’s correct, we were asked not to distribute the Red Hat logo. You will find the details in images/COPYING
Here’s an alternative: http://en.wikipedia.org/wiki/File:RedHat.svg,
although even the Wikipedia version can’t be distributed completely freely.
I have improved the build script for the next version to handle such errors a bit better. You can already download it.
@Donjan, the new one handles better.
I have another suggest about how the build script check gnuclad. It currently find gnuclad in fixed location /usr/local/bin/gnuclad. That might not be right place for distro’s official packages, or for people like me installing on my own ~/bin/gnuclad.
Here is my changes:
$ diff -u build.sh.orig build.sh
— build.sh.orig 2010-08-21 03:32:22.000000000 +0800
+++ build.sh 2010-08-21 03:37:16.000000000 +0800
@@ -18,7 +18,6 @@
DISTFILES=’gldt.csv gldt.conf ToDo ChangeLog README LICENSE images build.sh’
# Path to gnuclad and optional path to Inkscape
-GC=/usr/local/bin/gnuclad
INK=/usr/bin/inkscape
#
@@ -27,7 +26,8 @@
VERS=$1
-type -P $GC &>/dev/null || { echo “gnuclad not found: aborting” >&2; exit 1;}
+GC=$(which gnuclad 2>/dev/null)
+[ "$?" != "0" ] &if [ "$VERS" == "svg" ]; then
$GC $PROJNAME.csv svg $PROJNAME.conf
exit 0;
It can be `type -P gnuclad` (bash builtin) instead of `which`, but it seems all scripts I have seen use `which`.
Thank you for your valuable input!
I’ve streamlined the newest version of the script and hopefully caught all cases. It should handle manual and automatic installation gracefully now.